package com.mx.dla.dda.contrato.ws.cargaTitulos;

import com.mx.dla.global.dtos.BaseDTO;

/**
 * Representa la respuesta que sera enviada al Front-End por parte de este componente al ejecutar el proceso de Carga de Titulos
 * Incluye un mensaje y resultado.
 *
 */
public class ResponseCargaTitulosDTO extends BaseDTO 
{
	private static final long serialVersionUID = 1L;
	private String mensaje;
	private boolean resultado;
	private CargaPrincipalDTO datosCarga;
	private boolean resultadoCostoTitulo;
	
	
	public String getMensaje() {
		return this.mensaje;
	}
	public void setMensaje(String mensaje) {
		this.mensaje = mensaje;
	}
	
	public boolean isResultado() {
		return resultado;
	}
	public void setResultado(boolean resultado) {
		this.resultado = resultado;
	}
	
	public CargaPrincipalDTO getDatosCarga() {
		return datosCarga;
	}
	public void setDatosCarga(CargaPrincipalDTO datosCarga) {
		this.datosCarga = datosCarga;
	}
	public boolean getResultadoCostoTitulo() {
		return resultadoCostoTitulo;
	}
	public void setResultadoCostoTitulo(boolean resultadoCostoTitulo) {
		this.resultadoCostoTitulo = resultadoCostoTitulo;
	}
	
	
}
